var lesson = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\n\nfunction HelloWorld() {\n  const name = \"Solid\";\n  const svg = (<div>Replace me with an svg</div>)\n\n  return (\n    <>\n      <div>Hello {name}!</div>\n      {svg}\n    </>\n  )\n}\n\nrender(() => <HelloWorld />, document.getElementById('app'))\n"
		}
	]
};
var solved = {
	files: [
		{
			name: "main",
			content: "import { render } from 'solid-js/web';\n\nfunction HelloWorld() {\n  const name = \"Solid\";\n  const svg = (\n    <svg height=\"300\" width=\"400\">\n      <defs>\n        <linearGradient id=\"gr1\" x1=\"0%\" y1=\"60%\" x2=\"100%\" y2=\"0%\">\n          <stop offset=\"5%\" style=\"stop-color:rgb(255,255,3);stop-opacity:1\" />\n          <stop offset=\"100%\" style=\"stop-color:rgb(255,0,0);stop-opacity:1\" />\n        </linearGradient>\n      </defs>\n      <ellipse cx=\"125\" cy=\"150\" rx=\"100\" ry=\"60\" fill=\"url(#gr1)\" />\n      Sorry but this browser does not support inline SVG.\n    </svg>\n  );\n\n  return (\n    <>\n      <div>Hello {name}!</div>\n      {svg}\n    </>\n  )\n}\n\nrender(() => <HelloWorld />, document.getElementById('app'))\n"
		}
	]
};
var markdown = "JSX utilizza una sintassi simile al HTML che abbiamo visto negli esempi precedenti ed è fondamentale\nper creare componenti in Solid.\n\nJSX aggiunge espressioni dinamiche che ti permette di riferire variabili e funzioni nel tuo HTML,\nutilizzando la sintassi `{ }`.\n\nIn questo esempio, includiamo la stringa `name` nel nostro HTML usando `{name}` in un div.\nAllo stesso modo, includiamo un elemento HTML che è stato assegnato direttamente alla variabile `svg`.\n\nA differenza di altre framework che utilizzano JSX, Solid cerca di rispettare gli standard HTML\nil più possibile, permettendoti di fare copia e incolla da Stack Overflow oppure dai template builders che i tuoi designer utilizzano.\n\nCi sono 3 cose principali che previene JSX a essere visto come un superset di HTML:\n\n1. JSX non ha elementi void. Questo significa che tutti gli elementi devono avere una tag che gli chiude oppure\n   che si chiudono da soli. Ricordati questo quando copi elementi come `<input>` oppure `<br>`.\n\n2. JSX deve ritornare un solo elemento. Per rappresentare più elementi insieme, utilizza un Fragment:\n\n   ```jsx\n   <>\n     <h1>Title</h1>\n     <p>Some Text</p>\n   </>\n   ```\n\n3. JSX non sopporta commenti HTML `<!--...-->` oppure tag speciali come `<!DOCTYPE>`.\n\nPerò JSX supporta gli SVG. Proviamo a copiare un paio di SVG nel nostro componente:\n\n```jsx\n<svg height='300' width='400'>\n  <defs>\n    <linearGradient id='gr1' x1='0%' y1='60%' x2='100%' y2='0%'>\n      <stop offset='5%' style='stop-color:rgb(255,255,3);stop-opacity:1' />\n      <stop offset='100%' style='stop-color:rgb(255,0,0);stop-opacity:1' />\n    </linearGradient>\n  </defs>\n  <ellipse cx='125' cy='150' rx='100' ry='60' fill='url(#gr1)' />\n  Sorry but this browser does not support inline SVG.\n</svg>\n```\n";
var introduction_jsx = {
	lesson: lesson,
	solved: solved,
	markdown: markdown
};

export { introduction_jsx as default, lesson, markdown, solved };
