var html = "<section class=\"mt-10\"><h1 id=\"testeando-solid\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#testeando-solid\">#</a> Testeando Solid</h1><p>Para usar su código Solid en producción, necesita probarse. Como no desea probar todo manualmente, necesita pruebas automatizadas. Probar el código sólido puede ser simple, una vez que haya configurado todo y conozca algunos patrones útiles para las pruebas.</p><h2 id=\"configuraci%C3%B3n-de-pruebas\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#configuraci%C3%B3n-de-pruebas\">#</a> Configuración de pruebas</h2><p>Ofrecemos soporte para dos herramientas para correr tests:</p><ul> <li> <p>jest - Muy bien establecida y con muchas funcionalidades</p> </li> <li> <p>uvu - Solo tiene lo mínimo y necesario</p> </li> </ul><p>Ambas opciones están basadas en <a href=\"https://github.com/solidjs/solid-testing-library\">solid-testing-library</a>, que integra which integrates <a href=\"https://testing-library.com/\">Testing Library</a> a Solid. Testing Library simula un navegador liviano y provee una API para interactuar con el mismo desde tus tests.</p><p>Mantenemos un template para empezar a usar tests con Jest en Solid. Recomendamos que tu proyecto se base en este template, o también puedes instalar el template en un proyecto nuevo y copiar su configuración a tu proyecto existente.</p><p>Los templates usan la herramienta <a href=\"https://github.com/Rich-Harris/degit\">degit</a> para su instalación.</p><h3 id=\"configurando-jest\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#configurando-jest\">#</a> Configurando Jest</h3><p>La intragración de Jest se basa en la configuración de Jest <a href=\"https://github.com/solidjs/solid-jest\">solid-jest/preset/browser</a>, la cual le permite usar Solid como si lo utilizara en el navegador. Esto usa Babel para transformar a código Solid.</p><p>Utiliza <a href=\"https://github.com/testing-library/jest-dom\">jest-dom</a> para extender <code>expect</code> con muchos matchers personalizados para ayudarlo a escribir sus tests.</p><h4 id=\"jest-con-typescript-(ts-jest)\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#jest-con-typescript-(ts-jest)\">#</a> Jest con Typescript (<code>ts-jest</code>)</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">$ npx degit solidjs/templates/ts-jest my-solid-project</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">$ </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-solid-project</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">$ npm install </span><span style=\"color:#6a737d\"># o pnpm install o yarn install</span></span>\n<span class=\"line\"></span></code></pre><p>Notar que este template no tiene chequeo de tipos durante el testing; puedes usar un IDE o un comando personalizado <code>tsc --noEmit</code> en el archivo <code>package.json</code> para activar dichos chequeos.</p><h3 id=\"configurando-uvu\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#configurando-uvu\">#</a> Configurando uvu</h3><p>También mantenemos un template para comenzar para <code>uvu</code>.</p><p>Incluye <a href=\"https://www.npmjs.com/package/solid-dom-testing\">solid-dom-testing</a> para ayudar a escribir aserciones útiles con Testing Library.</p><h4 id=\"uvu-con-typescript-(ts-uvu)\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#uvu-con-typescript-(ts-uvu)\">#</a> Uvu con Typescript (<code>ts-uvu</code>)</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">$ npx degit solidjs/templates/ts-uvu my-solid-project</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">$ </span><span style=\"color:#005cc5\">cd</span><span style=\"color:#24292e\"> my-solid-project</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">$ npm install </span><span style=\"color:#6a737d\"># o pnpm install o yarn install</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"reportes-de-cobertura-con-uvu\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#reportes-de-cobertura-con-uvu\">#</a> Reportes de cobertura con Uvu</h4><blockquote> <p>Desafortunadamente, debido a una <a href=\"https://github.com/babel/babel/issues/4289\">limitación de babel</a> no podemos obtener mapas de origen desde un JSX transpilado, lo que resulta en que los componentes muestren 0% de cobertura. Sí funciona para código que no contiene JSX.</p> </blockquote><p>Si deseas tener cobertura de código en tus tests, la herramienta preferida para uvu es c8. Para instalarla y configurarla, corre:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev c8 </span><span style=\"color:#6a737d\"># or yarn add -D or pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm set-script </span><span style=\"color:#032f62\">&quot;test:coverage&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;c8 uvu -r solid-register&quot;</span></span>\n<span class=\"line\"></span></code></pre><p>Ahora, al correr <code>npm run test:coverage</code>, podrás ver la cobertura de tests para tu código.</p><p>Si deseas tener buenos reportes de cobertura para HTML, puedes usar <code>c8 -r html</code> en lugar de <code>c8</code> para habilitar los reportes html.</p><h4 id=\"modo-watch\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#modo-watch\">#</a> Modo Watch</h4><p><code>uvu</code> no tiene un modo watch por defecto, pero puedes usar <code>chokidar-cli</code> para conseguir lo mismo:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm i --save-dev chokidar-cli </span><span style=\"color:#6a737d\"># o yarn add -D o pnpm</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\"> npm set-script </span><span style=\"color:#032f62\">&quot;test:watch&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;chokidar src/**/*.ts src/**/*.tsx -c </span><span style=\"color:#005cc5\">\\&quot;</span><span style=\"color:#032f62\">uvu -r solid-register</span><span style=\"color:#005cc5\">\\&quot;</span></span>\n<span class=\"line\"><span style=\"color:#032f62\"># use .js/.jsx en lugar de .ts/.tsx</span></span>\n<span class=\"line\"></span></code></pre><p>Ahora, si corres <code>npm run test:watch</code>, las pruebas correran cada vez que cambies un archivo.</p><h2 id=\"patrones-de-prueba-y-mejores-pr%C3%A1cticas\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#patrones-de-prueba-y-mejores-pr%C3%A1cticas\">#</a> Patrones de Prueba y Mejores Prácticas</h2><p>Ahora que ha instalado sus herramientas de prueba, debe comenzar a usarlas. Para hacer esto más fácil, Solid admite algunos patrones agradables.</p><h3 id=\"prueba-de-estado-reactivo\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#prueba-de-estado-reactivo\">#</a> Prueba de estado reactivo</h3><p>Es posible que desee mantener partes de su estado separadas de los componentes para facilitar el mantenimiento o poder admitir múltiples vistas. En este caso, la interfaz contra la que estarás probando es el propio estado. Tenga en cuenta que fuera de una [raíz reactiva] (<a href=\"https://www.solidjs.com/docs/latest/api#createroot\">https://www.solidjs.com/docs/latest/api#createroot</a>) no se realiza un seguimiento del estado y las actualizaciones no dispararán efectos ni memos.</p><p>Además, dado que los efectos se activan asincrónicamente, puede ser útil envolver nuestras afirmaciones en un efecto final. Alternativamente, para observar una secuencia de efectos sobre múltiples cambios, puede ayudar retornar las herramientas necesarias desde <code>createRoot</code> y ejecutarlas en una función de prueba asíncrona (ya que <code>createRoot</code> en sí no puede tomar una función <code>asíncrona</code>).</p><p>Como ejemplo, probemos <code>createLocalStorage</code> del <a href=\"https://www.solidjs.com/examples/todos\">ejemplo de tareas pendientes</a>:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createEffect } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createStore, Store, SetStoreFunction } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js/store&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;(</span><span style=\"color:#e36209\">initState</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">)</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> [</span><span style=\"color:#e36209\">Store</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;, </span><span style=\"color:#e36209\">SetStoreFunction</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;] {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createStore</span><span style=\"color:#24292e\">(initState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">if</span><span style=\"color:#24292e\"> (localStorage.todos) </span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> (localStorage.todos </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">stringify</span><span style=\"color:#24292e\">(state)));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> [state, setState];</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>En lugar de crear un componente TODO, podemos probar este modelo de forma aislada; cuando hacemos eso, debemos tener en cuenta que 1. los cambios reactivos solo funcionan cuando tienen un contexto de rastreo proporcionado por <code>render</code> o <code>createRoot</code> y 2. son asíncronos, pero podemos usar <code>createEffect</code> para detectarlos. El uso de <code>createRoot</code> tiene la ventaja de que podemos activar la eliminación manualmente:</p><h4 id=\"pruebas-en-jest\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-jest\">#</a> Pruebas en Jest</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createLocalStore } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;./main.tsx&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createRoot, createEffect } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">describe</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;createLocalStore&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">beforeEach</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tlocalStorage.</span><span style=\"color:#6f42c1\">removeItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">initialState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\ttodos: [],</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tnewTitle: </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;lee el estado pre-existente de localStorage&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">savedState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> { todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;saved&quot;</span><span style=\"color:#24292e\"> };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\tlocalStorage.</span><span style=\"color:#6f42c1\">setItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">stringify</span><span style=\"color:#24292e\">(savedState));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(state).</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">(savedState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t}));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;almacena nuevo estado en el localStorage&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6a737d\">// to catch an effect, use an effect</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">)).</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">({ todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t}));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;actualiza el estado múltiples veces&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#d73a49\">async</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> { </span><span style=\"color:#005cc5\">dispose</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\"> } </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> { dispose, setState };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;first&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6a737d\">// wait a tick to resolve all effects</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">done</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setTimeout</span><span style=\"color:#24292e\">(done, </span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">)).</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">({ todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;first&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;second&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">done</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">setTimeout</span><span style=\"color:#24292e\">(done, </span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">)).</span><span style=\"color:#6f42c1\">toEqual</span><span style=\"color:#24292e\">({ todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;first&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"pruebas-en-uvu\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-uvu\">#</a> Pruebas en uvu</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createLocalStore } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;./main&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { suite } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">*</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">as</span><span style=\"color:#24292e\"> assert </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu/assert&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createEffect, createRoot } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">todoTest</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">suite</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;createLocalStore&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">todoTest.before.</span><span style=\"color:#6f42c1\">each</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tlocalStorage.</span><span style=\"color:#6f42c1\">removeItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">initialState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\ttodos: [],</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tnewTitle: </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">todoTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;lee el estado pre-existente de localStorage&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">savedState</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> { todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;saved&quot;</span><span style=\"color:#24292e\"> };</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tlocalStorage.</span><span style=\"color:#6f42c1\">setItem</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;todos&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">stringify</span><span style=\"color:#24292e\">(savedState));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">state</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tassert.</span><span style=\"color:#6f42c1\">equal</span><span style=\"color:#24292e\">(state, savedState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">todoTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;almacena nuevo estado en el localStorage&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">_</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setState</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createLocalStore</span><span style=\"color:#24292e\">(initialState);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">setState</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;newTitle&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6a737d\">// to catch an effect, we need an effect</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tassert.</span><span style=\"color:#6f42c1\">equal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">JSON</span><span style=\"color:#24292e\">.</span><span style=\"color:#005cc5\">parse</span><span style=\"color:#24292e\">(localStorage.todos </span><span style=\"color:#d73a49\">||</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;&quot;</span><span style=\"color:#24292e\">), { todos: [], newTitle: </span><span style=\"color:#032f62\">&quot;updated&quot;</span><span style=\"color:#24292e\"> });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">todoTest.</span><span style=\"color:#6f42c1\">run</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"directivas-de-pruebas\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#directivas-de-pruebas\">#</a> Directivas de Pruebas</h3><p><a href=\"https://www.solidjs.com/docs/latest/api#use%3A___\">Directivas</a> permiten usar refs de forma reutilizable. Son básicamente funciones que siguen el patrón <code>(ref: HTMLElement, data: Accessor&lt;any&gt;) =&gt; void</code>. En nuestro [tutorial de directivas] (<a href=\"https://www.solidjs.com/tutorial/bindings_directives?solved\">https://www.solidjs.com/tutorial/bindings_directives?solved</a>), definimos la directiva <code>clickOutside</code> que debe llamar al callback envuelto en el argumento de acceso.</p><p>Ahora podríamos crear un componente y usar la directiva allí, pero luego estaríamos probando el uso de directivas en lugar de probar directamente la directiva. Es más sencillo probar la superficie de la directiva al proporcionar un nodo montado y el descriptor de acceso:</p><h4 id=\"pruebas-en-jest-1\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-jest-1\">#</a> Pruebas en Jest</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// click-outside.test.ts</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> clickOutside </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;click-outside&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createRoot } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { fireEvent } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">describe</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;clickOutside&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> document.</span><span style=\"color:#6f42c1\">createElement</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;div&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">beforeAll</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tdocument.body.</span><span style=\"color:#6f42c1\">appendChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">afterAll</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tdocument.body.</span><span style=\"color:#6f42c1\">removeChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;se disparará al dar click afuera&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\tclickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tdocument.body.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(clickedOutside).</span><span style=\"color:#6f42c1\">toBeTruthy</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t));</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;no se disparará al hacer click dentro&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\tclickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tref.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(clickedOutside).</span><span style=\"color:#6f42c1\">toBeFalsy</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"pruebas-en-uvu-1\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-uvu-1\">#</a> Pruebas en uvu</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// click-outside.test.ts</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> clickOutside </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;click-outside.tsx&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createRoot } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { fireEvent } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">clickTest</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">suite</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;clickOutside&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> document.</span><span style=\"color:#6f42c1\">createElement</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;div&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">clickTest.</span><span style=\"color:#6f42c1\">before</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tdocument.body.</span><span style=\"color:#6f42c1\">appendChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">clickTest.</span><span style=\"color:#6f42c1\">after</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tdocument.body.</span><span style=\"color:#6f42c1\">removeChild</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">clickTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;se disparará al dar click afuera&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tclickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tdocument.body.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(clickedOutside);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(document.body);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t)</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">clickTest</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;no se disparará al hacer click dentro&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">createRoot</span><span style=\"color:#24292e\">(</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t(</span><span style=\"color:#e36209\">dispose</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#d73a49\">new</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt;((</span><span style=\"color:#e36209\">resolve</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> clickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t</span><span style=\"color:#6f42c1\">clickOutside</span><span style=\"color:#24292e\">(ref, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tclickedOutside </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tref.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;click&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\tassert.</span><span style=\"color:#6f42c1\">is</span><span style=\"color:#24292e\">(clickedOutside, </span><span style=\"color:#005cc5\">false</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">dispose</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t\t</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(ref);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t})</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t)</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">clickTest.</span><span style=\"color:#6f42c1\">run</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"probando-componentes\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#probando-componentes\">#</a> Probando Componentes</h3><p>Tomemos un componente muy simple de contador de clics que queremos probar:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// main.tsx</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { createSignal, Component } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">Counter</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Component</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">&lt;</span><span style=\"color:#24292e\">div role</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&#39;button&#39;</span><span style=\"color:#24292e\"> onClick</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{() =&gt; </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">c</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">c</span><span style=\"color:#24292e\"> + </span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">)}</span><span style=\"color:#d73a49\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t\t</span><span style=\"color:#e36209\">Count</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> {</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">()}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">&lt;/</span><span style=\"color:#24292e\">div</span><span style=\"color:#d73a49\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span></code></pre><p>Aquí usamos <code>solid-testing-library</code>. Es muy importante que los helpers sean <code>render</code> para renderizar un componente de una forma controlada, <code>fireEvent</code> para despachar eventos de una forma similar a los eventos de usuario y <code>screen</code> para proveer selectores globales. También usamos aserciones útiles que fueron agregadas a <code>expect</code> provistas por <code>@testing-library/jest-dom</code>.</p><h4 id=\"pruebas-en-jest-2\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-jest-2\">#</a> Pruebas en Jest</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// main.test.tsx</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { Counter } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;./main&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { cleanup, fireEvent, render, screen } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">describe</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Counter&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">afterEach</span><span style=\"color:#24292e\">(cleanup);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;comienza en cero&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> screen.</span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toBeInTheDocument</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toHaveTextContent</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Count: 0&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">test</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;aumenta su valor cada click&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#d73a49\">async</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> screen.</span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6a737d\">// el bucle de eventos requiere una Promesa para resolver y finalizar</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toHaveTextContent</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Count: 1&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t\t</span><span style=\"color:#6f42c1\">expect</span><span style=\"color:#24292e\">(button).</span><span style=\"color:#6f42c1\">toHaveTextContent</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Count: 2&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><h4 id=\"pruebas-en-uvu-2\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#pruebas-en-uvu-2\">#</a> Pruebas en uvu</h4><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">// main.test.tsx</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { suite } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">*</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">as</span><span style=\"color:#24292e\"> assert </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;uvu/assert&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { Counter } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;main&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { fireEvent, render, screen } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-testing-library&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { isInDocument, hasTextContent } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-dom-testing&quot;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">testCounter</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">suite</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Counter&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">testCounter.after.</span><span style=\"color:#6f42c1\">each</span><span style=\"color:#24292e\">(cleanup);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">testCounter</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;comienza en cero&quot;</span><span style=\"color:#24292e\">, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> { </span><span style=\"color:#005cc5\">getByRole</span><span style=\"color:#24292e\"> } </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">isInDocument</span><span style=\"color:#24292e\">(button), </span><span style=\"color:#032f62\">&quot;el botón no está en el DOM&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">hasTextContent</span><span style=\"color:#24292e\">(button, </span><span style=\"color:#032f62\">&quot;Count: 0&quot;</span><span style=\"color:#24292e\">), </span><span style=\"color:#032f62\">&quot;contiene texto incorrecto&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">testCounter</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;aumenta su valor cada click&quot;</span><span style=\"color:#24292e\">, </span><span style=\"color:#d73a49\">async</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6f42c1\">render</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> &lt;</span><span style=\"color:#e36209\">Counter</span><span style=\"color:#24292e\"> /&gt;);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> screen.</span><span style=\"color:#6f42c1\">getByRole</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;button&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#6a737d\">// el bucle de eventos requiere una Promesa para resolver y finalizar</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">hasTextContent</span><span style=\"color:#24292e\">(button, </span><span style=\"color:#032f62\">&quot;Count: 1&quot;</span><span style=\"color:#24292e\">), </span><span style=\"color:#032f62\">&quot;el conteo no es 1 después del primer click&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tfireEvent.</span><span style=\"color:#6f42c1\">click</span><span style=\"color:#24292e\">(button);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\t</span><span style=\"color:#d73a49\">await</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">Promise</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">resolve</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">\tassert.</span><span style=\"color:#6f42c1\">ok</span><span style=\"color:#24292e\">(</span><span style=\"color:#6f42c1\">hasTextContent</span><span style=\"color:#24292e\">(button, </span><span style=\"color:#032f62\">&quot;Count: 2&quot;</span><span style=\"color:#24292e\">), </span><span style=\"color:#032f62\">&quot;el conteo no es 2 después del segundo click&quot;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">testCounter.</span><span style=\"color:#6f42c1\">run</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"></span></code></pre></section>";
var attributes = {
	title: "Testeando Solid",
	description: "Como realizar pruebas a tu app Solid",
	sort: 4
};
var sections = [
	{
		slug: "testeando-solid",
		title: "Testeando Solid",
		level: 1,
		children: [
			{
				slug: "configuraci%C3%B3n-de-pruebas",
				title: "Configuración de pruebas",
				level: 2,
				children: [
					{
						slug: "configurando-jest",
						title: "Configurando Jest",
						level: 3,
						children: [
							{
								slug: "jest-con-typescript-(ts-jest)",
								title: "Jest con Typescript (ts-jest)",
								level: 4,
								children: [
								]
							}
						]
					},
					{
						slug: "configurando-uvu",
						title: "Configurando uvu",
						level: 3,
						children: [
							{
								slug: "uvu-con-typescript-(ts-uvu)",
								title: "Uvu con Typescript (ts-uvu)",
								level: 4,
								children: [
								]
							},
							{
								slug: "reportes-de-cobertura-con-uvu",
								title: "Reportes de cobertura con Uvu",
								level: 4,
								children: [
								]
							},
							{
								slug: "modo-watch",
								title: "Modo Watch",
								level: 4,
								children: [
								]
							}
						]
					}
				]
			},
			{
				slug: "patrones-de-prueba-y-mejores-pr%C3%A1cticas",
				title: "Patrones de Prueba y Mejores Prácticas",
				level: 2,
				children: [
					{
						slug: "prueba-de-estado-reactivo",
						title: "Prueba de estado reactivo",
						level: 3,
						children: [
							{
								slug: "pruebas-en-jest",
								title: "Pruebas en Jest",
								level: 4,
								children: [
								]
							},
							{
								slug: "pruebas-en-uvu",
								title: "Pruebas en uvu",
								level: 4,
								children: [
								]
							}
						]
					},
					{
						slug: "directivas-de-pruebas",
						title: "Directivas de Pruebas",
						level: 3,
						children: [
							{
								slug: "pruebas-en-jest-1",
								title: "Pruebas en Jest",
								level: 4,
								children: [
								]
							},
							{
								slug: "pruebas-en-uvu-1",
								title: "Pruebas en uvu",
								level: 4,
								children: [
								]
							}
						]
					},
					{
						slug: "probando-componentes",
						title: "Probando Componentes",
						level: 3,
						children: [
							{
								slug: "pruebas-en-jest-2",
								title: "Pruebas en Jest",
								level: 4,
								children: [
								]
							},
							{
								slug: "pruebas-en-uvu-2",
								title: "Pruebas en uvu",
								level: 4,
								children: [
								]
							}
						]
					}
				]
			}
		]
	}
];
var testing = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, testing as default, html, sections };
