var html = "<section class=\"mt-10\"><h1 id=\"%ED%83%80%EC%9E%85%EC%8A%A4%ED%81%AC%EB%A6%BD%ED%8A%B8\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%ED%83%80%EC%9E%85%EC%8A%A4%ED%81%AC%EB%A6%BD%ED%8A%B8\">#</a> 타입스크립트</h1><p>Solid는 타입스크립트와 함께 사용하기 쉽도록 설계되었습니다: 표준 JSX를 사용하기 때문에 타입스크립트는 코드를 대부분 이해할 수 있으며, API에 정교한 내장 타입을 제공합니다. 이 가이드는 타입스크립트로 Solid 코드를 작성하는데 유용한 팁을 다룹니다.</p><h2 id=\"%ED%83%80%EC%9E%85%EC%8A%A4%ED%81%AC%EB%A6%BD%ED%8A%B8-%EC%84%A4%EC%A0%95\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%ED%83%80%EC%9E%85%EC%8A%A4%ED%81%AC%EB%A6%BD%ED%8A%B8-%EC%84%A4%EC%A0%95\">#</a> 타입스크립트 설정</h2><p><a href=\"https://github.com/solidjs/templates/\">Solid starter templates</a>는 <a href=\"https://github.com/solidjs/templates/blob/master/ts/tsconfig.json\"><code>tsconfig.json</code></a>을 위한 좋은 시작점을 제공합니다.</p><p>Solid JSX 컴파일러와 타입스크립트를 함께 사용하려면, <a href=\"https://www.typescriptlang.org/tsconfig#jsx\"><code>&quot;jsx&quot;: &quot;preserve&quot;</code></a> 설정을 사용해 JSX 구조를 그대로 유지해야 하며, <a href=\"https://www.typescriptlang.org/tsconfig#jsxImportSource\"><code>&quot;jsxImportSource&quot;: &quot;solid-js&quot;</code></a> 으로 JSX 타입을 지정해야 합니다. 따라서, 최소한의 <code>tsconfig.json</code> 파일은 다음과 같습니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">{</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#005cc5\">&quot;compilerOptions&quot;</span><span style=\"color:#24292e\">: {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#005cc5\">&quot;jsx&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;preserve&quot;</span><span style=\"color:#24292e\">,</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#005cc5\">&quot;jsxImportSource&quot;</span><span style=\"color:#24292e\">: </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span></code></pre><p>코드 베이스가 여러 JSX 타입을 사용(예를 들어, 리액트와 Solid를 같이 사용)하는 경우, 가장 많이 사용하는 코드 타입을 <code>tsconfig.json</code> 파일의 <code>jsxImportSource</code> 기본값으로 설정한 다음, 다른 타입을 사용하는 파일에서 아래와 같은 프래그마를 사용해 <a href=\"https://www.typescriptlang.org/tsconfig#jsxImportSource\"><code>jsxImportSource</code> 옵션을 오버라이드</a>합니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">/** </span><span style=\"color:#d73a49\">@jsxImportSource</span><span style=\"color:#6a737d\"> solid-js */</span></span>\n<span class=\"line\"></span></code></pre><p>또는</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6a737d\">/** </span><span style=\"color:#d73a49\">@jsxImportSource</span><span style=\"color:#6a737d\"> react */</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"api-%ED%83%80%EC%9E%85\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#api-%ED%83%80%EC%9E%85\">#</a> API 타입</h2><p>Solid는 타입스크립트로 작성되었기 때문에, 모든 것이 타입이 지정되어 있습니다. <a href=\"https://www.solidjs.com/docs/latest/api\">API 문서</a>에는 API 호출 타입과 함께 유용한 몇 가지 타입들에 대해 자세히 설명하고 있습니다. 여기에서 핵심 프리미티브 사용시 결과 타입에 대해서 알아보겠습니다.</p><h3 id=\"signal\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#signal\">#</a> Signal</h3><p><code>createSignal&lt;T&gt;</code> 는 시그널에 저장된 객체 타입 <code>T</code>에 의해 파라미터화됩니다. 예를 들어:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">number</span><span style=\"color:#24292e\">&gt;();</span></span>\n<span class=\"line\"></span></code></pre><p><code>createSignal</code>은 전달한 타입에 해당하는 <code>Signal&lt;number&gt;</code> 타입을 반환하며, 이는 제네릭 타입을 갖는 getter와 setter의 튜플입니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> { Signal, Accessor, Setter } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Signal</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> [</span><span style=\"color:#e36209\">get</span><span style=\"color:#24292e\">: </span><span style=\"color:#e36209\">Accessor</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;, </span><span style=\"color:#e36209\">set</span><span style=\"color:#24292e\">: </span><span style=\"color:#e36209\">Setter</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">T</span><span style=\"color:#24292e\">&gt;];</span></span>\n<span class=\"line\"></span></code></pre><p>이 경우, <code>count</code> getter의 타입은 <code>Accessor&lt;number | undefined&gt;</code>입니다. <code>Accessor&lt;T&gt;</code>는 Solid에서 제공하는 타입 정의이며, 이 경우 <code>() =&gt; number | undefined</code>와 동일합니다. 예제에서는 <code>createSignal</code>에 디폴트 값을 지정하지 않았기 때문에 <code>| undefined</code> 타입이 추가되었습니다. 시그널의 디폴트 값은 따라서 <code>undefined</code>가 됩니다.</p><p><code>setCount</code> setter는 <code>Setter&lt;number&gt;</code> 타입이며, 대략 <code>(value?: number | ((prev?: number) =&gt; number)) =&gt; number</code> 에 해당하는 복잡한 타입입니다. <code>number</code> 타입, 혹은 이전 값을 받아서 숫자를 반환하는 함수를 인수로 사용해 <code>setCount</code>를 호출할 수 있습니다.</p><p>실제 <code>Setter</code> 타입은 더 복잡합니다. 새 값을 결정하기 위해 함수를 호출하는 대신 시그널을 해당 함수 값으로 설정하고 싶은 경우, 실수로 함수를 setter에 전달하는 것을 감지합니다. <code>setCount(value)</code>를 호출할 때 &quot;Argument ... is not assignable to parameter&quot;라는 타입스크립트 에러가 표시된다면, setter 인수를 래핑해 <code>setCount(() =&gt; value)</code> 처럼 호출을 해서 <code>value</code>가 호출되지 않도록 해보세요.</p><h5 id=\"%EB%94%94%ED%8F%B4%ED%8A%B8-%EA%B0%92\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%EB%94%94%ED%8F%B4%ED%8A%B8-%EA%B0%92\">#</a> 디폴트 값</h5><p><code>createSignal</code>을 호출할 때 디폴트 값을 제공하게 되면 명시적으로 시그널 타입을 지정하지 않아도 되며, 타입에서 <code>| undefined</code>를 제거할 수 있습니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">name</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setName</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;&#39;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span></code></pre><p>이 경우, 타입스크립트는 시그널 타입을 <code>number</code>, <code>string</code>으로 추론합니다. 따라서, <code>count</code>는 <code>Accessor&lt;number&gt;</code> 타입이 되며, <code>name</code>는 <code>Accessor&lt;string&gt;</code> 타입을 얻게 됩니다(<code>| undefined</code> 타입 없음).</p><h3 id=\"context\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#context\">#</a> Context</h3><p>시그널과 유사하게 <a href=\"https://www.solidjs.com/docs/latest/api#createcontext\"><code>createContext&lt;T&gt;</code></a>는 컨텍스트 값 타입 <code>T</code>로 파라미터화 됩니다. 다음과 같이 타입을 명시할 수 있습니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Data</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {</span><span style=\"color:#e36209\">count</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">number</span><span style=\"color:#24292e\">, </span><span style=\"color:#e36209\">name</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">string</span><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">dataContext</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createContext</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">Data</span><span style=\"color:#24292e\">&gt;();</span></span>\n<span class=\"line\"></span></code></pre><p>이 경우, <code>dataContext</code>는 <code>Context&lt;Data | undefined&gt;</code> 타입이며, <code>useContext(dataContext)</code>는 <code>Data | undefined</code> 타입을 반환합니다. <code>| undefined</code>가 붙은 이유는, 현재 컴포넌트의 부모에서 컨텍스트를 제공하지 않은 경우 <code>useContext</code>가 <code>undefined</code>를 반환하기 때문입니다.</p><p><code>createContext</code>에 디폴트 값을 제공하게 되면 <code>| undefined</code> 타입을 제거할 수 있으며, <code>createContext</code>의 타입을 명시적으로 지정하지 않아도 됩니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">dataContext</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createContext</span><span style=\"color:#24292e\">({count: </span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">, name: </span><span style=\"color:#032f62\">&#39;&#39;</span><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><p>이 경우, 타입스크립트는 <code>dataContext</code> 타입을 <code>Context&lt;{count: number, name: string}&gt;</code>으로 추론하며, <code>Context&lt;Data&gt;</code>와 동일합니다(<code>| undefined</code> 타입 없음).</p><p>다른 일반적인 패턴은 컨텍스트에 대한 값을 생성하는 팩토리 함수를 정의하는 것입니다. 타입스크립트의 <a href=\"https://www.typescriptlang.org/docs/handbook/utility-types.html#returntypetype\"><code>ReturnType</code></a> 유틸리티 타입을 사용해 함수의 리턴 타입을 가져와 컨텍스트 타입으로 사용할 수 있습니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">makeCountNameContext</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> (</span><span style=\"color:#e36209\">initialCount</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">, </span><span style=\"color:#e36209\">initialName</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;&#39;</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(initialCount);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">name</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setName</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(initialName);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> [{count, name}, {setCount, setName}] </span><span style=\"color:#d73a49\">as</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#6a737d\">// `as const` 는 튜플 타입으로 추론하도록 합니다.</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">CountNameContextType</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">ReturnType</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#d73a49\">typeof</span><span style=\"color:#24292e\"> makeCountNameContext&gt;;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">CountNameContext</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createContext</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">CountNameContextType</span><span style=\"color:#24292e\">&gt;();</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">useCountNameContext</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">useContext</span><span style=\"color:#24292e\">(CountNameContext);</span></span>\n<span class=\"line\"></span></code></pre><p>이 예제에서 <code>CountNameContextType</code> 는 <code>makeCountNameContext</code>의 반환 타입에 해당합니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">[</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  {readonly count: Accessor</span><span style=\"color:#d73a49\">&lt;</span><span style=\"color:#24292e\">number</span><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\">, readonly name: Accessor</span><span style=\"color:#d73a49\">&lt;</span><span style=\"color:#24292e\">string</span><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\">},</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  {readonly setCount: Setter</span><span style=\"color:#d73a49\">&lt;</span><span style=\"color:#24292e\">number</span><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\">, readonly setName: Setter</span><span style=\"color:#d73a49\">&lt;</span><span style=\"color:#24292e\">string</span><span style=\"color:#d73a49\">&gt;</span><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">]</span></span>\n<span class=\"line\"></span></code></pre><p><code>useCountNameContext</code>는 <code>() =&gt; CountNameContextType | undefined</code> 타입을 가집니다.</p><p><code>undefined</code> 발생 가능성을 피하고자 한다면, 항상 컨텍스트가 제공된다고 지정할 수 있습니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">export</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">useCountNameContext</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">useContext</span><span style=\"color:#24292e\">(CountNameContext)</span><span style=\"color:#d73a49\">!</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span></code></pre><p>이렇게 가정하는 것은 위험하며, 항상 컨텍스트가 정의되도록 <code>createContext</code>에 기본값을 지정하는 것이 더 안전합니다.</p><h2 id=\"%EC%BB%B4%ED%8F%AC%EB%84%8C%ED%8A%B8-%ED%83%80%EC%9E%85\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%EC%BB%B4%ED%8F%AC%EB%84%8C%ED%8A%B8-%ED%83%80%EC%9E%85\">#</a> 컴포넌트 타입</h2><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> { JSX, Component } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Component</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {}&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> (</span><span style=\"color:#e36209\">props</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">JSX</span><span style=\"color:#24292e\">.</span><span style=\"color:#e36209\">Element</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span></code></pre><p>기본 컴포넌트 함수의 타입을 지정하려면, <code>Component&lt;P&gt;</code> 타입을 사용합니다. 여기서 <code>P</code>는 <code>props</code>의 타입이며, <a href=\"https://www.typescriptlang.org/docs/handbook/2/objects.html\">object 타입</a>이어야 합니다. 이런식으로 알맞은 타입의 props와 속성이 전달되며, Solid에서 렌더링 할 수 있는 값이 반환됩니다: <code>JSX.Element</code>는 DOM 노드, <code>JSX.Element</code> 배열, <code>JSX.Element</code>를 반환하는 함수, boolean, <code>undefined</code>/<code>null</code> 등과 같은 값이 될 수 있습니다. 여기 몇 가지 예제가 있습니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">Counter</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Component</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">onClick</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">c</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> c</span><span style=\"color:#d73a49\">+</span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">)}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      {</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">()}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">button</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  );</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">Counter</span><span style=\"color:#24292e\">/&gt;;              </span><span style=\"color:#6a737d\">// OK</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">Counter</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">initial</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#005cc5\">5</span><span style=\"color:#24292e\">}/&gt;;  </span><span style=\"color:#6a737d\">// 타입 에러: initial prop이 존재하지 않음</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">Counter</span><span style=\"color:#24292e\">&gt;hi&lt;/</span><span style=\"color:#22863a\">Counter</span><span style=\"color:#24292e\">&gt;    </span><span style=\"color:#6a737d\">// 타입 에러: children prop이 존재하지 않음</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">InitCounter</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Component</span><span style=\"color:#24292e\">&lt;{</span><span style=\"color:#e36209\">initial</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">number</span><span style=\"color:#24292e\">}&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> (</span><span style=\"color:#e36209\">props</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(props.initial);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">onClick</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">c</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> c</span><span style=\"color:#d73a49\">+</span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">)}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      {</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">()}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">button</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  );</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">InitCounter</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">initial</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#005cc5\">5</span><span style=\"color:#24292e\">}/&gt;;  </span><span style=\"color:#6a737d\">// OK</span></span>\n<span class=\"line\"></span></code></pre><p>컴포넌트가 JSX 자식을 가지려면, <code>P</code>에 명시적으로 <code>children</code> 타입을 추가하거나, 자동으로 <code>children?: JSX.Element</code>를 추가하는 <code>ParentComponent</code> 타입을 사용할 수 있습니다. 또는 컴포넌트를 <code>const</code> 대신 <code>function</code>으로 선언하려면, <code>ParentProps</code> 헬퍼를 사용해 <code>props</code> 타입을 설정할 수 있습니다. 예를 들자면:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> { JSX, ParentComponent, ParentProps } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">ParentProps</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {}&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">&amp;</span><span style=\"color:#24292e\"> { </span><span style=\"color:#e36209\">children</span><span style=\"color:#d73a49\">?:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">JSX</span><span style=\"color:#24292e\">.</span><span style=\"color:#e36209\">Element</span><span style=\"color:#24292e\"> };</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">ParentComponent</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {}&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Component</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">ParentProps</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\">&gt;&gt;;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// 다음은 이와 동일한 타입입니다:</span></span>\n<span class=\"line\"><span style=\"color:#6a737d\">//const CustomCounter: Component&lt;{children?: JSX.Element}&gt; = ...</span></span>\n<span class=\"line\"><span style=\"color:#6a737d\">//function CustomCounter(props: ParentProps): JSX.Element { ...</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">CustomCounter</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">ParentComponent</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> (</span><span style=\"color:#e36209\">props</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#005cc5\">0</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">onClick</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">c</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> c</span><span style=\"color:#d73a49\">+</span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">)}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      {</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">()}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      {props.children}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">button</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  );</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6a737d\">// 다음은 이와 동일한 타입입니다:</span></span>\n<span class=\"line\"><span style=\"color:#6a737d\">//const CustomInitCounter: Component&lt;{initial: number, children?: JSX.Element}&gt; = ...</span></span>\n<span class=\"line\"><span style=\"color:#6a737d\">//function CustomInitCounter(props: ParentProps&lt;{initial: number}&gt;): JSX.Element { ...</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">CustomInitCounter</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">ParentComponent</span><span style=\"color:#24292e\">&lt;{</span><span style=\"color:#e36209\">initial</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">number</span><span style=\"color:#24292e\">}&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> (</span><span style=\"color:#e36209\">props</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">count</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setCount</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(props.initial);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;</span><span style=\"color:#22863a\">button</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">onClick</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setCount</span><span style=\"color:#24292e\">((</span><span style=\"color:#e36209\">c</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> c</span><span style=\"color:#d73a49\">+</span><span style=\"color:#005cc5\">1</span><span style=\"color:#24292e\">)}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      {</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">()}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      {props.children}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    &lt;/</span><span style=\"color:#22863a\">button</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  );</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span></code></pre><p>후자의 경우, <code>props</code> 파라미터는 자동으로 <code>props: ParentProps&lt;{initial: number}&gt;</code> 타입이 되며, 이는 <code>props: {initial: number, children?: JSX.Element}</code>와 동일합니다. (Solid 1.4 이전에는, <code>Component</code>는 <code>ParentComponent</code>와 동일했습니다.)</p><p>Solid는 <code>children</code>을 처리하기 위해 두 가지 다른 <code>Component</code> 서브 타입을 제공합니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> {JSX, FlowComponent, FlowProps, VoidComponent, VoidProps} </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">FlowProps</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {}, </span><span style=\"color:#e36209\">C</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">JSX</span><span style=\"color:#24292e\">.</span><span style=\"color:#e36209\">Element</span><span style=\"color:#24292e\">&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">&amp;</span><span style=\"color:#24292e\"> { </span><span style=\"color:#e36209\">children</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">C</span><span style=\"color:#24292e\"> };</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">FlowComponent</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {}, </span><span style=\"color:#e36209\">C</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">JSX</span><span style=\"color:#24292e\">.</span><span style=\"color:#e36209\">Element</span><span style=\"color:#24292e\">&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Component</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">FlowProps</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\">, </span><span style=\"color:#e36209\">C</span><span style=\"color:#24292e\">&gt;&gt;;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">VoidProps</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {}&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">&amp;</span><span style=\"color:#24292e\"> { </span><span style=\"color:#e36209\">children</span><span style=\"color:#d73a49\">?:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">never</span><span style=\"color:#24292e\"> };</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">VoidComponent</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> {}&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Component</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">VoidProps</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">P</span><span style=\"color:#24292e\">&gt;&gt;;</span></span>\n<span class=\"line\"></span></code></pre><p><code>VoidComponent</code>는 <code>children</code>을 지원하지 않는 컴포넌트입니다. <code>P</code>가 <code>children</code> 타입을 제공하지 않는 경우, <code>VoidComponent&lt;P&gt;</code>는 <code>Component&lt;P&gt;</code>와 동일합니다.</p><p><code>FlowComponent</code>는 Solid의 <code>&lt;Show&gt;</code>와 <code>&lt;For&gt;</code>와 같은 &quot;흐름 제어&quot; 컴포넌트를 위한 것입니다. 이런 컴포넌트는 일반적으로 <code>children</code>이 의미가 있어야 하며, 때로는 <code>children</code>이 단일 함수여야 한다는 것과 같은 특정 타입이 있습니다. 예를 들자면:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">CallMeMaybe</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">FlowComponent</span><span style=\"color:#24292e\">&lt;{</span><span style=\"color:#e36209\">when</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">boolean</span><span style=\"color:#24292e\">}, () </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">void</span><span style=\"color:#24292e\">&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> (</span><span style=\"color:#e36209\">props</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">createEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">if</span><span style=\"color:#24292e\"> (props.when)</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      props.</span><span style=\"color:#6f42c1\">children</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  });</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> &lt;&gt;{props.when </span><span style=\"color:#d73a49\">?</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;Calling&#39;</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;Not Calling&#39;</span><span style=\"color:#24292e\">}&lt;/&gt;;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">CallMeMaybe</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">when</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">}/&gt;;  </span><span style=\"color:#6a737d\">// 타입 에러: children 미지정</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">CallMeMaybe</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">when</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">}&gt;hi&lt;/</span><span style=\"color:#22863a\">CallMeMaybe</span><span style=\"color:#24292e\">&gt;;  </span><span style=\"color:#6a737d\">// 타입 에러: children</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">CallMeMaybe</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">when</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#005cc5\">true</span><span style=\"color:#24292e\">}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  {() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;Here&#39;s my number&quot;</span><span style=\"color:#24292e\">)}</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;/</span><span style=\"color:#22863a\">CallMeMaybe</span><span style=\"color:#24292e\">&gt;;              </span><span style=\"color:#6a737d\">// OK</span></span>\n<span class=\"line\"></span></code></pre><h2 id=\"%EC%9D%B4%EB%B2%A4%ED%8A%B8-%ED%95%B8%EB%93%A4%EB%9F%AC\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%EC%9D%B4%EB%B2%A4%ED%8A%B8-%ED%95%B8%EB%93%A4%EB%9F%AC\">#</a> 이벤트 핸들러</h2><p><code>JSX</code> 네임스페이스는 HTML DOM 작업에 유용한 타입 모음을 제공합니다. 제공되는 모든 타입들은 <a href=\"https://github.com/ryansolid/dom-expressions/blob/main/packages/dom-expressions/src/jsx.d.ts\">dom-expressions의 JSX 정의</a>를 참고하세요.</p><p><code>JSX</code> 네임스페이스의 유용한 헬퍼 타입 중 하나인 <code>JSX.EventHandler&lt;T, E&gt;</code>는 DOM 엘리먼트 타입 <code>T</code>와 이벤트 타입 <code>E</code>에 대한 단일 인수 이벤트 핸들러를 나타냅니다. 이를 사용해 JSX 외부에서 정의한 이벤트 핸들러 타입을 지정할 수 있습니다. 예를 들어:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">import</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">type</span><span style=\"color:#24292e\"> { JSX } </span><span style=\"color:#d73a49\">from</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;solid-js&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">onInput</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">JSX</span><span style=\"color:#24292e\">.</span><span style=\"color:#e36209\">EventHandler</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">HTMLInputElement</span><span style=\"color:#24292e\">, </span><span style=\"color:#e36209\">InputEvent</span><span style=\"color:#24292e\">&gt; </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> (</span><span style=\"color:#e36209\">event</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;input changed to&#39;</span><span style=\"color:#24292e\">, event.currentTarget.value);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">input</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">onInput</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{onInput}/&gt;</span></span>\n<span class=\"line\"></span></code></pre><p><a href=\"https://www.solidjs.com/docs/latest/api#on___\"><code>on___</code> JSX 속성</a>(내장 이벤트 타입) 안에 인라인으로 정의된 핸들러는 자동으로 적절한 <code>JSX.EventHandler</code> 타입으로 지정됩니다.</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">input</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">onInput</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{(</span><span style=\"color:#e36209\">event</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;input changed to&#39;</span><span style=\"color:#24292e\">, event.currentTarget.value);</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}}/&gt;;</span></span>\n<span class=\"line\"></span></code></pre><p><code>JSX.EventHandler&lt;T&gt;</code>는 이벤트의 <a href=\"https://developer.mozilla.org/en-US/docs/Web/API/Event/currentTarget\"><code>currentTarget</code> 속성</a>을 <code>T</code>타입으로 제한합니다(위 코드에서 <code>event.currentTarget</code>은 <code>HTMLInputEvent</code>타입이며, 여기에는 <code>value</code> 속성이 있습니다). 하지만, 이벤트의 <a href=\"https://developer.mozilla.org/en-US/docs/Web/API/Event/target\"><code>target</code> 속성</a>은 모든 <code>DOMElement</code>가 될 수 있습니다. <code>currentTarget</code>은 이벤트 핸들러가 연결된 엘리먼트이므로 타입을 알 수 있지만, <code>target</code>은 사용자 인터랙션으로 인해 버블된 이벤트이거나, 이벤트 핸들러에 의해 캡처된 이벤트이기 때문에 모든 DOM 엘리먼트가 될 수 있습니다.</p><h2 id=\"ref-%EC%86%8D%EC%84%B1\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#ref-%EC%86%8D%EC%84%B1\">#</a> ref 속성</h2><p>변수와 함께 <code>ref</code> 속성을 사용는 경우, Solid는 엘리먼트가 렌더링되면 해당 DOM 엘리먼트를 변수에 할당합니다. 타입스크립트를 사용하지 않는 경우 다음과 같습니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> divRef;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(divRef); </span><span style=\"color:#6a737d\">// undefined</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">onMount</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(divRef); </span><span style=\"color:#6a737d\">// &lt;div&gt; 엘리먼트</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">})</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{divRef}/&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">)</span></span>\n<span class=\"line\"></span></code></pre><p>이 경우 변수의 타입을 정하기 힘든 문제가 있습니다. <code>divRef</code>는 렌더링 후에만 <code>HTMLDivElement</code>로 설정되는데, 이를 <code>HTMLDivElement</code> 타입으로 해야 할까요? (여기서는 타입스크립트의 <code>strictNullChecks</code> 모드가 활성화되어 있다고 가정합니다. 그렇지 않으면, 타입스크립트는 <code>undefined</code>가 될 수 있는 변수를 무시합니다.)</p><p>타입스크립트에서 가장 안전한 패턴은 <code>divRef</code>가 일정 기간동안 <code>undefined</code>라는 것을 알고, 사용시에 확인하는 것입니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> divRef</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">HTMLDivElement</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">|</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">undefined</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">divRef.</span><span style=\"color:#6f42c1\">focus</span><span style=\"color:#24292e\">();  </span><span style=\"color:#6a737d\">// 컴파일시 에러 발생</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">onMount</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">if</span><span style=\"color:#24292e\"> (</span><span style=\"color:#d73a49\">!</span><span style=\"color:#24292e\">divRef) </span><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  divRef.</span><span style=\"color:#6f42c1\">focus</span><span style=\"color:#24292e\">();  </span><span style=\"color:#6a737d\">// 허용됨</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{divRef</span><span style=\"color:#d73a49\">!</span><span style=\"color:#24292e\">}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    ...</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span></code></pre><p>또는 <code>div</code> 엘리먼트가 렌더링된 후에만 <code>onMount</code>가 호출된다는 것을 알고 있기 때문에, <code>onMount</code> 내에서 <code>divRef</code>에 액세스할 때 <a href=\"https://www.typescriptlang.org/docs/handbook/2/everyday-types.html#non-null-assertion-operator-postfix-\">non-null assertion (<code>!</code>)</a>을 사용할 수 있습니다.</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#6f42c1\">onMount</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  divRef</span><span style=\"color:#d73a49\">!</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">focus</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span></code></pre><p>또 다른 안전한 패턴은 <code>divRef</code> 타입에서 <code>undefined</code>를 생략하고, <code>ref</code> 속성에 <a href=\"https://www.typescriptlang.org/docs/handbook/release-notes/typescript-2-7.html#definite-assignment-assertions\">definite assignment assertion (<code>!</code>)</a>을 사용하는 것입니다.</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> divRef</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">HTMLDivElement</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">divRef.</span><span style=\"color:#6f42c1\">focus</span><span style=\"color:#24292e\">();  </span><span style=\"color:#6a737d\">// 컴파일시 에러 발생</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">onMount</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  divRef.</span><span style=\"color:#6f42c1\">focus</span><span style=\"color:#24292e\">();  </span><span style=\"color:#6a737d\">// 허용됨</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{divRef</span><span style=\"color:#d73a49\">!</span><span style=\"color:#24292e\">}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    ...</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span></code></pre><p>타입스크립트는 <code>ref</code> 속성이 <code>divRef</code> 변수로 설정되고, <code>divRef</code>가 이미 할당되어 있다고 가정하기 때문에 <code>ref={divRef!}</code>를 사용해야 합니다. Solid에서는 그 반대입니다: <code>divRef</code>는 <code>ref</code> 속성에 의해 할당됩니다. <code>divRef!</code> 어설션을 사용한 할당 덕분에 타입스크립트는 이 라인 뒤에서 <code>divRef</code>가 할당되었다고 확신하게 됩니다.</p><p>이 패턴을 사용하면, 타입스크립트는 함수 내에서 정의된 ref를 정의된 JSX 블럭 이전에 사용하는 경우 올바르게 플래그를 지정합니다. 하지만 타입스크립트는 중첩된 함수 내에서 <code>undefined</code> 일 수 있는 변수의 사용에 대해서는 플래그를 설정하지 않습니다. Solid의 컨텍스트에서, <code>createMemo</code>, <code>createRenderEffect</code>, <code>createComputed</code> 내부(ref가 정의된 JSX 블럭 이전)에서는 ref를 사용하지 않도록 주의해야 합니다. 이 함수들은 즉시 실행되기 때문에, 아직 ref가 생성되지 않은 상태이기 때문입니다. 타입스크립트는 이를 에러로 표시하지 않습니다. 반면에 이전 패턴은 이러한 에러를 잡아냅니다.</p><p>또 다른 일반적이지만 덜 안전한 패턴은, 변수 선언 시점에 할당 어설션을 사용하는 것입니다.</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> divRef</span><span style=\"color:#d73a49\">!:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">HTMLDivElement</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">divRef.</span><span style=\"color:#6f42c1\">focus</span><span style=\"color:#24292e\">();  </span><span style=\"color:#6a737d\">// 컴파일은 성공하지만 에러 발생</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#6f42c1\">onMount</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  divRef.</span><span style=\"color:#6f42c1\">focus</span><span style=\"color:#24292e\">();  </span><span style=\"color:#6a737d\">// OK</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">});</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">ref</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{divRef}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    ...</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span></code></pre><p>이 접근 방식은 해당 변수에 대한 할당 검사를 하지 않기 때문에, 쉬운 해결 방법이기는 하지만 추가적으로 주의가 필요합니다. 특히 이전 패턴과 달리, 중첩된 함수 외부에서도 변수가 할당되기 전에 미리 사용하는 잘못된 사용을 허용합니다.</p><h2 id=\"%EC%A0%9C%EC%96%B4-%ED%9D%90%EB%A6%84-%EC%A2%81%ED%9E%88%EA%B8%B0\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%EC%A0%9C%EC%96%B4-%ED%9D%90%EB%A6%84-%EC%A2%81%ED%9E%88%EA%B8%B0\">#</a> 제어 흐름 좁히기</h2><p><a href=\"https://www.solidjs.com/docs/latest/api#%3Cshow%3E\"><code>&lt;Show&gt;</code></a>를 사용해 데이터가 정의된 경우에만 데이터를 표시하는게 일반적인 패턴입니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">name</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setName</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">string</span><span style=\"color:#24292e\">&gt;();</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">Show</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">when</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#6f42c1\">name</span><span style=\"color:#24292e\">()}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    Hello {</span><span style=\"color:#6f42c1\">name</span><span style=\"color:#24292e\">().</span><span style=\"color:#6f42c1\">replace</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">/</span><span style=\"color:#005cc5\">\\s</span><span style=\"color:#d73a49\">+</span><span style=\"color:#032f62\">/</span><span style=\"color:#d73a49\">g</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&#39;</span><span style=\"color:#005cc5\">\\xa0</span><span style=\"color:#032f62\">&#39;</span><span style=\"color:#24292e\">)}!</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">Show</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span></code></pre><p>이 경우, 타입스크립트는 2번의 <code>name()</code> 함수 호출이 동일한 값을 반환하는지를 알 수 없기 때문에, 첫 번째 호출이 truthy 값을 반환하는 경우에만 두 번째 호출이 일어난다고 결정할 수 없습니다. 따라서 <code>.replace()</code>를 호출하려고 할 때, <code>name()</code> 값이 <code>undefined</code>일 수도 있다고 에러를 냅니다.</p><p>이 문제를 해결할 수 있는 2가지 방법이 있습니다:</p><ol> <li> <p>타입스크립트 <a href=\"https://www.typescriptlang.org/docs/handbook/2/everyday-types.html#non-null-assertion-operator-postfix-\">non-null assertion 연산자 <code>!</code></a>를 사용해 직접 <code>name()</code>이 not-null 값을 반환한다고 어설션을 합니다:</p> <pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">Show</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">when</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#6f42c1\">name</span><span style=\"color:#24292e\">()}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    Hello {</span><span style=\"color:#6f42c1\">name</span><span style=\"color:#24292e\">()</span><span style=\"color:#d73a49\">!</span><span style=\"color:#24292e\">.</span><span style=\"color:#6f42c1\">replace</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">/</span><span style=\"color:#005cc5\">\\s</span><span style=\"color:#d73a49\">+</span><span style=\"color:#032f62\">/</span><span style=\"color:#d73a49\">g</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&#39;</span><span style=\"color:#005cc5\">\\xa0</span><span style=\"color:#032f62\">&#39;</span><span style=\"color:#24292e\">)}!</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">Show</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span></code></pre> </li> <li> <p><code>when</code> prop의 값이 truthy인 경우 이 값을 전달하는 하는 <code>&lt;Show&gt;</code>의 콜백 형식을 사용합니다:</p> <pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">return</span><span style=\"color:#24292e\"> (</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;</span><span style=\"color:#22863a\">Show</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">when</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#6f42c1\">name</span><span style=\"color:#24292e\">()}&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    {(</span><span style=\"color:#e36209\">n</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      &lt;&gt;Hello {n.</span><span style=\"color:#6f42c1\">replace</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">/</span><span style=\"color:#005cc5\">\\s</span><span style=\"color:#d73a49\">+</span><span style=\"color:#032f62\">/</span><span style=\"color:#d73a49\">g</span><span style=\"color:#24292e\">, </span><span style=\"color:#032f62\">&#39;</span><span style=\"color:#005cc5\">\\xa0</span><span style=\"color:#032f62\">&#39;</span><span style=\"color:#24292e\">)}!&lt;/&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  &lt;/</span><span style=\"color:#22863a\">Show</span><span style=\"color:#24292e\">&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span></code></pre> <p>이 경우, <code>Show</code> 컴포넌트 타입은 <code>n</code> 값이 truthy 라고 타입스크립트에 알려주기 때문에, <code>undefined</code>(또는 <code>null</code>, <code>false</code>) 값이 될 수 없습니다.</p> <p>하지만, 이 형식의 <code>&lt;Show&gt;</code>는 <code>name()</code>이 falsy 에서 truthy 로 변경될 때만 수행하는 것이 아니라 <code>name()</code>이 변경될 때마다 자식 전체를 처음부터 다시 렌더링합니다. 이는 자식 컴포넌트가 세밀한 반응성(변경되지 않는 부분은 재사용하고 변경된 부분만 업데이트)을 충분히 누리지 못하고 있음을 의미합니다.</p> </li> </ol><h2 id=\"%ED%8A%B9%EC%88%98-jsx-%EC%86%8D%EC%84%B1-%EB%B0%8F-%EB%94%94%EB%A0%89%ED%8B%B0%EB%B8%8C\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#%ED%8A%B9%EC%88%98-jsx-%EC%86%8D%EC%84%B1-%EB%B0%8F-%EB%94%94%EB%A0%89%ED%8B%B0%EB%B8%8C\">#</a> 특수 JSX 속성 및 디렉티브</h2><h3 id=\"on%3A___%2Foncapture%3A___\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#on%3A___%2Foncapture%3A___\">#</a> <code>on:___</code>/<code>oncapture:___</code></h3><p>Solid의 <a href=\"https://www.solidjs.com/docs/latest/api#on%3A___%2Foncapture%3A___\"><code>on:___</code>/<code>oncapture:___</code> 속성</a>을 통해 커스텀 핸들러를 사용한다면, <code>&quot;solid-js&quot;</code>의 <code>JSX</code> 네임스페이스 내에서 <code>CustomEvents</code> 와 <code>CustomCaptureEvents</code> 인터페이스를 오버라이딩하여 결과 <code>Event</code> 객체에 해당하는 타입을 정의해야 합니다.</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">class</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">NameEvent</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">extends</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">CustomEvent</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#e36209\">type</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&#39;Name&#39;</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#e36209\">detail</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> {</span><span style=\"color:#e36209\">name</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">string</span><span style=\"color:#24292e\">};</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">constructor</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">name</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">string</span><span style=\"color:#24292e\">) {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#005cc5\">super</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;Name&#39;</span><span style=\"color:#24292e\">, {detail: {name}});</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">declare</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">module</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">namespace</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">JSX</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">interface</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">CustomEvents</span><span style=\"color:#24292e\"> { </span><span style=\"color:#6a737d\">// on:Name</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#032f62\">&quot;Name&quot;</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">NameEvent</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">interface</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">CustomCaptureEvents</span><span style=\"color:#24292e\"> { </span><span style=\"color:#6a737d\">// oncapture:Name</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#032f62\">&quot;Name&quot;</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">NameEvent</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">div</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">on</span><span style=\"color:#24292e\">:</span><span style=\"color:#005cc5\">Name</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{(</span><span style=\"color:#e36209\">event</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> console.</span><span style=\"color:#6f42c1\">log</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;name is&#39;</span><span style=\"color:#24292e\">, event.detail.name)}/&gt;</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"prop%3A___%2Fattr%3A___\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#prop%3A___%2Fattr%3A___\">#</a> <code>prop:___</code>/<code>attr:___</code></h3><p>Solid의 <a href=\"https://www.solidjs.com/docs/latest/api#prop%3A___\"><code>prop:___</code> 속성</a>을 통해 강제된 프로퍼티를 사용하거나, Solid의 <a href=\"https://www.solidjs.com/docs/latest/api#attr%3A___\"><code>attr:___</code> 속성</a>을 통해 커스텀 속성을 사용하는 경우, <code>ExplicitProperties</code> 와 <code>ExplicitAttributes</code> 인터페이스에서 각각의 타입을 정의할 수 있습니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">declare</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">module</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">namespace</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">JSX</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">interface</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">ExplicitProperties</span><span style=\"color:#24292e\"> { </span><span style=\"color:#6a737d\">// prop:___</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#e36209\">count</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">number</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#e36209\">name</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">string</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">interface</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">ExplicitAttributes</span><span style=\"color:#24292e\"> { </span><span style=\"color:#6a737d\">// attr:___</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#e36209\">count</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">number</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#e36209\">name</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">string</span><span style=\"color:#24292e\">;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">Input</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">prop</span><span style=\"color:#24292e\">:</span><span style=\"color:#005cc5\">name</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#6f42c1\">name</span><span style=\"color:#24292e\">()} </span><span style=\"color:#005cc5\">prop</span><span style=\"color:#24292e\">:</span><span style=\"color:#005cc5\">count</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">()}/&gt;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">my-web-component</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">attr</span><span style=\"color:#24292e\">:</span><span style=\"color:#005cc5\">name</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#6f42c1\">name</span><span style=\"color:#24292e\">()} </span><span style=\"color:#005cc5\">attr</span><span style=\"color:#24292e\">:</span><span style=\"color:#005cc5\">count</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{</span><span style=\"color:#6f42c1\">count</span><span style=\"color:#24292e\">()}/&gt;</span></span>\n<span class=\"line\"></span></code></pre><h3 id=\"use%3A___\" tabindex=\"-1\"><a class=\"header-anchor\" href=\"#use%3A___\">#</a> <code>use:___</code></h3><p>Solid의 <a href=\"https://www.solidjs.com/docs/latest/api#use%3A___\"><code>use:___</code> 속성</a>에 대한 커스텀 디렉티브를 정의하는 경우, <code>Directives</code> 인터페이스에 다음과 같이 타입을 정의할 수 있습니다:</p><pre class=\"shiki\" style=\"background-color:transparent\"><code><span class=\"line\"><span style=\"color:#d73a49\">function</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">model</span><span style=\"color:#24292e\">(</span><span style=\"color:#e36209\">element</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">HTMLInputElement</span><span style=\"color:#24292e\">, </span><span style=\"color:#e36209\">value</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Accessor</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#e36209\">Signal</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">string</span><span style=\"color:#24292e\">&gt;&gt;) {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">const</span><span style=\"color:#24292e\"> [</span><span style=\"color:#005cc5\">field</span><span style=\"color:#24292e\">, </span><span style=\"color:#005cc5\">setField</span><span style=\"color:#24292e\">] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">value</span><span style=\"color:#24292e\">();</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#6f42c1\">createRenderEffect</span><span style=\"color:#24292e\">(() </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> (element.value </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">field</span><span style=\"color:#24292e\">()));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  element.</span><span style=\"color:#6f42c1\">addEventListener</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&quot;input&quot;</span><span style=\"color:#24292e\">, (</span><span style=\"color:#e36209\">e</span><span style=\"color:#24292e\">) </span><span style=\"color:#d73a49\">=&gt;</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">setField</span><span style=\"color:#24292e\">(e.target.value));</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">declare</span><span style=\"color:#24292e\"> </span><span style=\"color:#d73a49\">module</span><span style=\"color:#24292e\"> </span><span style=\"color:#032f62\">&quot;solid-js&quot;</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  </span><span style=\"color:#d73a49\">namespace</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">JSX</span><span style=\"color:#24292e\"> {</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    </span><span style=\"color:#d73a49\">interface</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Directives</span><span style=\"color:#24292e\"> {  </span><span style=\"color:#6a737d\">// use:model</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">      </span><span style=\"color:#e36209\">model</span><span style=\"color:#d73a49\">:</span><span style=\"color:#24292e\"> </span><span style=\"color:#e36209\">Signal</span><span style=\"color:#24292e\">&lt;</span><span style=\"color:#005cc5\">string</span><span style=\"color:#24292e\">&gt;;</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">    }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">  }</span></span>\n<span class=\"line\"><span style=\"color:#24292e\">}</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#d73a49\">let</span><span style=\"color:#24292e\"> [name, setName] </span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\"> </span><span style=\"color:#6f42c1\">createSignal</span><span style=\"color:#24292e\">(</span><span style=\"color:#032f62\">&#39;&#39;</span><span style=\"color:#24292e\">);</span></span>\n<span class=\"line\"></span>\n<span class=\"line\"><span style=\"color:#24292e\">&lt;</span><span style=\"color:#22863a\">input</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">type</span><span style=\"color:#d73a49\">=</span><span style=\"color:#032f62\">&quot;text&quot;</span><span style=\"color:#24292e\"> </span><span style=\"color:#005cc5\">use</span><span style=\"color:#24292e\">:</span><span style=\"color:#005cc5\">model</span><span style=\"color:#d73a49\">=</span><span style=\"color:#24292e\">{[name, setName]} /&gt;;</span></span>\n<span class=\"line\"></span></code></pre><p>다른 모듈에 있는 <code>d</code> 디렉티브를 <code>import</code>하고, <code>d</code>가 <code>use:d</code> 디렉티브 형식으로만 사용된다고 하면, 타입스크립트(정확히는 <a href=\"https://babeljs.io/docs/en/babel-preset-typescript\"><code>babel-preset-typescript</code></a>)는 기본적으로 <code>d</code>를 <code>import</code>하는 것을 삭제합니다. 이는 <code>d</code>가 타입일 가능성 때문에 타입스크립트가 <code>use:d</code>를 <code>d</code>에 대한 참조로 확신하지 못하기 때문입니다. 이 문제를 해결하는 방법은 2 가지가 있습니다:</p><ol> <li><a href=\"https://babeljs.io/docs/en/babel-preset-typescript#onlyremovetypeimports\"><code>babel-preset-typescript</code>의 <code>onlyRemoveTypeImports: true</code></a> 설정 옵션을 사용하게 되면 <code>import type ...</code> 으로 타입을 임포트하는 것을 제외한 모든 <code>import</code>를 제거하지 않습니다. <code>vite-plugin-solid</code>를 사용하는 경우, <code>vite.config.ts</code> 파일에서 <code>solidPlugin({ typescript: { onlyRemoveTypeImports: true } })</code> 을 사용해 이 옵션을 설정할 수 있습니다.</li> </ol><p>코드 베이스 전체에서 <code>export type</code>, <code>import type</code>을 주의깊게 사용하지 않으면 이 옵션이 문제가 될 수 있습니다.</p><ol start=\"2\"> <li><code>d</code> 디렉티브를 <code>import</code>하는 모든 모듈에서 <code>false &amp;&amp; d;</code> 처럼 페이크 액세스를 추가합니다. 이렇게 하면 타입스크립트가 <code>d</code> <code>import</code>를 제거하는 것을 방지하고, <a href=\"https://terser.org/\">Terser</a>를 사용해 트리 쉐이킹을 한다고 가정하면, 코드는 최종 코드 번들에서 빠지게 됩니다.</li> </ol><p><code>d;</code> 처럼 보다 간단한 페이크 액세스를 추가하더라도 <code>import</code>가 제거되는 것을 방지하지만, 트리 쉐이킹에서 제거되지 않기 때문에 최종 코드 번들에는 포함됩니다.</p></section>";
var attributes = {
	title: "타입스크립트",
	description: "Solid와 타입스크립트를 함께 사용하기 위한 팁",
	sort: 3
};
var sections = [
	{
		slug: "%ED%83%80%EC%9E%85%EC%8A%A4%ED%81%AC%EB%A6%BD%ED%8A%B8",
		title: "타입스크립트",
		level: 1,
		children: [
			{
				slug: "%ED%83%80%EC%9E%85%EC%8A%A4%ED%81%AC%EB%A6%BD%ED%8A%B8-%EC%84%A4%EC%A0%95",
				title: "타입스크립트 설정",
				level: 2,
				children: [
				]
			},
			{
				slug: "api-%ED%83%80%EC%9E%85",
				title: "API 타입",
				level: 2,
				children: [
					{
						slug: "signal",
						title: "Signal",
						level: 3,
						children: [
						]
					},
					{
						slug: "context",
						title: "Context",
						level: 3,
						children: [
						]
					}
				]
			},
			{
				slug: "%EC%BB%B4%ED%8F%AC%EB%84%8C%ED%8A%B8-%ED%83%80%EC%9E%85",
				title: "컴포넌트 타입",
				level: 2,
				children: [
				]
			},
			{
				slug: "%EC%9D%B4%EB%B2%A4%ED%8A%B8-%ED%95%B8%EB%93%A4%EB%9F%AC",
				title: "이벤트 핸들러",
				level: 2,
				children: [
				]
			},
			{
				slug: "ref-%EC%86%8D%EC%84%B1",
				title: "ref 속성",
				level: 2,
				children: [
				]
			},
			{
				slug: "%EC%A0%9C%EC%96%B4-%ED%9D%90%EB%A6%84-%EC%A2%81%ED%9E%88%EA%B8%B0",
				title: "제어 흐름 좁히기",
				level: 2,
				children: [
				]
			},
			{
				slug: "%ED%8A%B9%EC%88%98-jsx-%EC%86%8D%EC%84%B1-%EB%B0%8F-%EB%94%94%EB%A0%89%ED%8B%B0%EB%B8%8C",
				title: "특수 JSX 속성 및 디렉티브",
				level: 2,
				children: [
					{
						slug: "on%3A___%2Foncapture%3A___",
						title: "on:___/oncapture:___",
						level: 3,
						children: [
						]
					},
					{
						slug: "prop%3A___%2Fattr%3A___",
						title: "prop:___/attr:___",
						level: 3,
						children: [
						]
					},
					{
						slug: "use%3A___",
						title: "use:___",
						level: 3,
						children: [
						]
					}
				]
			}
		]
	}
];
var typescript = {
	html: html,
	attributes: attributes,
	sections: sections
};

export { attributes, typescript as default, html, sections };
